<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Chapter 3: Statements and Control Flow</title>
<link href="sx2g.html" rev=precedes>
<link href="sx3a.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Chapter 3: Statements and Control Flow</H1>

<p>Statements are the ``steps'' of a program.
Most statements compute and assign values
or call functions,
but we will eventually meet several other kinds of statements as well.
By default,
statements are executed in sequence,
one after another.
We can, however, modify that sequence by using
<dfn>control flow constructs</dfn>
which
arrange that a statement or group of statements
is executed only if some condition is true or false,
or executed over and over again to form a <dfn>loop</dfn>.
(A somewhat different kind of control flow happens when we call a function:
execution of the caller is suspended while the called function proceeds.
We'll discuss functions in

chapter 5.)
</p><p>My definitions of the terms <dfn>statement</dfn> and
<dfn>control flow</dfn> are somewhat circular.
A statement is an element within a program which you can apply
control flow to;
control flow is how you specify the order in which the
statements in your program are executed.
(A weaker definition of a statement might be
``a part of your program that does something,''
but this definition could as easily be applied to
expressions
or functions.)
</p><p><a href="sx3a.html" rel=subdocument>3.1 Expression Statements</a></p>
<p><a href="sx3b.html" rel=subdocument>3.2 <TT>if</TT> Statements</a></p>
<p><a href="sx3c.html" rel=subdocument>3.3 Boolean Expressions</a></p>
<p><a href="sx3d.html" rel=subdocument>3.4 <TT>while</TT> Loops</a></p>
<p><a href="sx3e.html" rel=subdocument>3.5 <TT>for</TT> Loops</a></p>
<p><a href="sx3f.html" rel=subdocument>3.6 <TT>break</TT> and <TT>continue</TT></a></p>
<hr>
<p>
Read sequentially:
<a href="sx2g.html" rev=precedes>prev</a>
<a href="sx3a.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
